LogXF (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class LogXF

    java.lang.Object
      org.apache.log4j.LogXF

Direct Known Subclasses:
  LogMF, LogSF

    public abstract class LogXF

extends Object

This is a base class for LogMF and LogSF parameterized logging classes.

Since:
  1.2.16
See Also:
  `LogMF`, `LogSF`

Field Summary
`protected static Level` | `TRACE` Trace level.

Constructor Summary
`protected` | `LogXF()`

Method Summary
`static void` | `entering(Logger logger, String sourceClass, String sourceMethod)` Log an entering message at DEBUG level.
`static void` | `entering(Logger logger, String sourceClass, String sourceMethod, Object param)` Log an entering message with a parameter at DEBUG level.
`static void` | `entering(Logger logger, String sourceClass, String sourceMethod, Object[] params)` Log an entering message with an array of parameters at DEBUG level.
`static void` | `entering(Logger logger, String sourceClass, String sourceMethod, String param)` Log an entering message with a parameter at DEBUG level.
`static void` | `exiting(Logger logger, String sourceClass, String sourceMethod)` Log an exiting message at DEBUG level.
`static void` | `exiting(Logger logger, String sourceClass, String sourceMethod, Object result)` Log an exiting message with result at DEBUG level.
`static void` | `exiting(Logger logger, String sourceClass, String sourceMethod, String result)` Log an exiting message with result at DEBUG level.
`static void` | `throwing(Logger logger, String sourceClass, String sourceMethod, Throwable thrown)` Logs a throwing message at DEBUG level.
`protected static Object[]` | `toArray(Object param1)` Create new array.
`protected static Object[]` | `toArray(Object param1, Object param2)` Create new array.
`protected static Object[]` | `toArray(Object param1, Object param2, Object param3)` Create new array.
`protected static Object[]` | `toArray(Object param1, Object param2, Object param3, Object param4)` Create new array.
`protected static Boolean` | `valueOf(boolean b)` Returns a Boolean instance representing the specified boolean.
`protected static Byte` | `valueOf(byte b)` Returns a Byte instance representing the specified byte.
`protected static Character` | `valueOf(char c)` Returns a Character instance representing the specified char.
`protected static Double` | `valueOf(double b)` Returns a Double instance representing the specified double.
`protected static Float` | `valueOf(float b)` Returns a Float instance representing the specified float.
`protected static Integer` | `valueOf(int b)` Returns an Integer instance representing the specified int.
`protected static Long` | `valueOf(long b)` Returns a Long instance representing the specified long.
`protected static Short` | `valueOf(short b)` Returns a Short instance representing the specified short.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE

    protected static final Level TRACE

  Trace level.

Constructor Detail

### LogXF

    protected LogXF()

Method Detail

### valueOf

    protected static Boolean valueOf(boolean b)

  Returns a Boolean instance representing the specified boolean. Boolean.valueOf was added in JDK 1.4.

  Parameters:
    `b` - a boolean value.
  Returns:
    a Boolean instance representing b.

### valueOf

    protected static Character valueOf(char c)

  Returns a Character instance representing the specified char. Character.valueOf was added in JDK 1.5.

  Parameters:
    `c` - a character value.
  Returns:
    a Character instance representing c.

### valueOf

    protected static Byte valueOf(byte b)

  Returns a Byte instance representing the specified byte. Byte.valueOf was added in JDK 1.5.

  Parameters:
    `b` - a byte value.
  Returns:
    a Byte instance representing b.

### valueOf

    protected static Short valueOf(short b)

  Returns a Short instance representing the specified short. Short.valueOf was added in JDK 1.5.

  Parameters:
    `b` - a short value.
  Returns:
    a Byte instance representing b.

### valueOf

    protected static Integer valueOf(int b)

  Returns an Integer instance representing the specified int. Integer.valueOf was added in JDK 1.5.

  Parameters:
    `b` - an int value.
  Returns:
    an Integer instance representing b.

### valueOf

    protected static Long valueOf(long b)

  Returns a Long instance representing the specified long. Long.valueOf was added in JDK 1.5.

  Parameters:
    `b` - a long value.
  Returns:
    a Long instance representing b.

### valueOf

    protected static Float valueOf(float b)

  Returns a Float instance representing the specified float. Float.valueOf was added in JDK 1.5.

  Parameters:
    `b` - a float value.
  Returns:
    a Float instance representing b.

### valueOf

    protected static Double valueOf(double b)

  Returns a Double instance representing the specified double. Double.valueOf was added in JDK 1.5.

  Parameters:
    `b` - a double value.
  Returns:
    a Byte instance representing b.

### toArray

    protected static Object[] toArray(Object param1)

  Create new array.

  Parameters:
    `param1` - parameter 1.
  Returns:
    new array.

### toArray

    protected static Object[] toArray(Object param1,
                                      Object param2)

  Create new array.

  Parameters:
    `param1` - parameter 1.
    `param2` - parameter 2.
  Returns:
    new array.

### toArray

    protected static Object[] toArray(Object param1,
                                      Object param2,
                                      Object param3)

  Create new array.

  Parameters:
    `param1` - parameter 1.
    `param2` - parameter 2.
    `param3` - parameter 3.
  Returns:
    new array.

### toArray

    protected static Object[] toArray(Object param1,
                                      Object param2,
                                      Object param3,
                                      Object param4)

  Create new array.

  Parameters:
    `param1` - parameter 1.
    `param2` - parameter 2.
    `param3` - parameter 3.
    `param4` - parameter 4.
  Returns:
    new array.

### entering

    public static void entering(Logger logger,
                                String sourceClass,
                                String sourceMethod)

  Log an entering message at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.

### entering

    public static void entering(Logger logger,
                                String sourceClass,
                                String sourceMethod,
                                String param)

  Log an entering message with a parameter at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `param` - parameter, may be null.

### entering

    public static void entering(Logger logger,
                                String sourceClass,
                                String sourceMethod,
                                Object param)

  Log an entering message with a parameter at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `param` - parameter, may be null.

### entering

    public static void entering(Logger logger,
                                String sourceClass,
                                String sourceMethod,
                                Object[] params)

  Log an entering message with an array of parameters at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `params` - parameters, may be null.

### exiting

    public static void exiting(Logger logger,
                               String sourceClass,
                               String sourceMethod)

  Log an exiting message at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.

### exiting

    public static void exiting(Logger logger,
                               String sourceClass,
                               String sourceMethod,
                               String result)

  Log an exiting message with result at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `result` - result, may be null.

### exiting

    public static void exiting(Logger logger,
                               String sourceClass,
                               String sourceMethod,
                               Object result)

  Log an exiting message with result at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `result` - result, may be null.

### throwing

    public static void throwing(Logger logger,
                                String sourceClass,
                                String sourceMethod,
                                Throwable thrown)

  Logs a throwing message at DEBUG level.

  Parameters:
    `logger` - logger, may not be null.
    `sourceClass` - source class, may be null.
    `sourceMethod` - method, may be null.
    `thrown` - throwable, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.